-- RZ_DM_QUANTILE ZB_DM_单位时间内访问时间排序


-- QUANTILE_AGENTID 单位时间内访问时间排序按应用统计
insert into RZ_DM.RZ_DM_KAFKA.QUANTILE_AGENTID
SELECT
    s1.`applicationname`                           as `applicationname`
    ,s1.`agentid`                                  as `agentid`
    ,s1.`time`                                     as `time`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',0) as bigint )         as `quantile50`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',1) as bigint )         as `quantile75`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',2) as bigint )         as `quantile95`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',3) as bigint )         as `quantile99`
    ,cast(s1.`createtime` as bigint )                          as `createtime`
from (
    select
        d1.`applicationName`                                                                   as `applicationname`
        ,d1.`agentId`                                                                          as `agentid`
        ,cast(DateTimeToLongUDF(tumble_end(d1.row_time, interval '1' minute)) as varchar)      as `time`
        ,CastToTagIndexUDF(LISTAGG(d1.`elapsed`,';') )                                         as `quantile` -- 拼接
     ,cast(DateTimeToLongUDF(LOCALTIMESTAMP  )  as varchar)       as `createtime`
    from RZ_ODS.RZ_SOURCE_KAFKA_RZ.RZDATA d1
    group by
         d1.`applicationName`
        ,d1.`agentId`
        ,tumble(d1.row_time, interval '1' minute)
) s1
;


-- QUANTILE_APP 单位时间内访问时间排序按集群统计
insert into RZ_DM.RZ_DM_KAFKA.QUANTILE_APP
SELECT
    s1.`applicationname`                           as `applicationname`
    ,s1.`time`                                     as `time`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',0) as bigint )               as `quantile50`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',1) as bigint )               as `quantile75`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',2) as bigint )               as `quantile95`
    ,cast(SPLIT_INDEX(s1.`quantile`,';',3) as bigint )               as `quantile99`
    ,cast(s1.`createtime`  as bigint )                               as `createtime`
from (
    select
        d1.`applicationName`                                                    as `applicationname`
        ,cast(DateTimeToLongUDF(tumble_end(d1.row_time, interval '1' minute)) as varchar)      as `time`
        ,CastToTagIndexUDF(LISTAGG(d1.`elapsed`,';') )                                         as `quantile` -- 拼接
     ,cast(DateTimeToLongUDF(LOCALTIMESTAMP  )  as varchar)       as `createtime`
    from RZ_ODS.RZ_SOURCE_KAFKA_RZ.RZDATA d1
    group by
         d1.`applicationName`
        ,tumble(d1.row_time, interval '1' minute)
) s1
;







