-- XF_DWD_CAR_POLICY XF_DWD_车险保单业务数据
select
	s1.policyNo                   ,                       -- 2 保单号
	s1.businessNo                 ,                       -- 3 业务号
	s1.uwConclueDate              ,                       -- 4 核保通过时间
	s1.businessOffice             ,                       -- 5 保单归属机构代码
	s1.businessOfficeName         ,                       -- 6 保单归属机构名称
    s1.productCode                ,                       -- 7 险种代码
    s1.businessNatureCode         ,                       -- 8 业务来源
    s1.startTime                  ,                       -- 9 起保时间
    s1.endTime                    ,                       -- 10 终保时间
    s1.netPremium                 ,                       -- 11 不含税保费
    s1.premium                    ,                       -- 12 含税保费
    s1.plcCar05                   ,
    s1.plcApplicant               ,
    s1.plcPublicInsurant          ,
    s1.newPolicyFlag              ,                       -- 20 新保标识 1:是，0：否
	s1.autoTransrenewFlag         ,                       -- 21 自动续保标识 1:是，4：跨险种自动续保，0：否
	s1.transferPolicyFlag         ,                       -- 22 转保标识1:是，0：否
	s1.transrenewFlag             ,                       -- 23 续保标识 1:是，4：跨险种续保，0：否
    s1.plcSolution                ,
	s1.saleaman                   ,                       -- 25 代理机构代码
	s1.saleamanName               ,                       -- 26 代理机构名称
	s1.businessChannelCode        ,                       -- 27 业务渠道
	s1.businessChannelName        ,                       -- 28 业务渠道名
	s1.recordClerkCode            ,					     -- 34 归属业务员ID
    s1.recordClerkName            ,                       -- 35 归属业务员名称
    s1.staCurAmount               ,                       -- 38 保险金额
	s1.staCurTaxFee               ,                       -- 39 税
    s1.policyCreatDate            ,                       -- 保单创建时间
    s1.sigAndStaExchangeRate      ,                       -- 费率
	s1.policySort                 ,                       -- 新核心车险保单-保单种类
	s1.businessType               ,                       -- 新核心车险保单-业务类型
	s1.log_time      as log_time , -- 加工平台处理数据时间
	s1.channelType                ,                      -- 指标新增_渠道类型
    s1.signDate                   ,                      -- 指标新增_保单统计日期
    s1.mainSalesmanCode           ,                      -- 指标新增_归属业务员ID
    s1.mainSalesmanName           ,                      -- 指标新增_归属业务员名称
    s1.coinsCode                  ,                      -- 指标新增_共保标识代码 0 非共保  1，主共，2从共,车险无共保，仅有联保
    s1.coinsLinkCode              ,                      -- 指标新增_联保标志代码 0 非联保  3，主联，4从联
    s1.amount                     ,                      -- 指标新增_保额
    s1.actualId                   ,                        -- 指标新增_唯一标识需验证
    t1.LEVEL1COMCODE             ,                         -- 分公司代码
    cast(cast(case when coinsLinkCode = '0' then 1
              else cast(JsonGetCoinsRateUDF(plcSolution[1].plcCoins.plcLinkBasicInformat,'coinsLinkCode',coinsLinkCode) as decimal(30,4)) /100
              end as decimal(18,4))  as varchar )   as  coinsRate    ,        -- 系数
    s1.plcSales  ,
    s1.plcBasic,
    s1.handlerCode,                                            -- 寿险销售人员代码
    s1.handlerName                                             -- 寿险销售人员名称

from  XF_ODS.XF_ODS_KAFKA.POLICY s1
left join ODS.ODS_MYSQL.CD_COM_ALL for system_time as of s1.proctime as t1 on s1.businessOffice = t1.COMCODE
where left(s1.productCode,2) ='05'





